Subject: Q: One letter code for Sugars

From: "Johannes Zuegg" <[email-masked]>
Date: Thu, 15 Oct 1998 09:26:09 +0000

Dear CCL-List,

I am modelling oligosaccharide on proteins and had to build up a 
residue library (within AMBER), where I could use only 3 letters 
for the residues. 

Is there any standard way of naming sugar-units in oligosaccharides ?

I used  a code were:

- the first letter is a code for the sugar type (M=Man, G=Glc, 
N=GlcNAc, K=Gal, S=sialic acid...)

- the second is the glycosidic linkage type (A=alpha, B=beta, N=alpha 
with N as different partial charges ...)

- the third is the type of linkage to other sugars (1=only at 1, 
2= 1 and 2, 6=1 and 6, A=1,2 and 6, Z= 1,2,3,4 and 6)

eg:
         1- a-D-Man    4 - a-D-GlcNAc 1(N) --- ASN
          |    MA1          |          NN4 
         2                      1
a-D-Gal 1 ----- 6  b-D-Man 2 --- 1 a-D-Man  
       KA2                MBA                 MA1                 

For the sugar code I just used a letter which does not interfere with the amino 
acids. But, do you know if there is a default one 
letter code for saccharides ? 

Thanks for any comments and suggestions
Johannes
---------------------------------------------------------------------

John Curtin School of Medical Research
Australian National University
Dept. Biochemistry and Molecular Biology
PO Box 334
Canberra, ACT 2612, Australia

Tel: +61 2 6279 8301
Fax: +61 2 6249 0415
EMail: [email-masked]
---------------------------------------------------------------------